Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network79.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
79.0.0.0
Broadcast address
79.127.255.255
First usable
79.0.0.1
Last usable
79.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 4F000000 · Integer 1325400064 to 1333788671
Reverse DNS zones
0.79.in-addr.arpa
1.79.in-addr.arpa
2.79.in-addr.arpa
3.79.in-addr.arpa
4.79.in-addr.arpa
5.79.in-addr.arpa
6.79.in-addr.arpa
7.79.in-addr.arpa
8.79.in-addr.arpa
9.79.in-addr.arpa
10.79.in-addr.arpa
11.79.in-addr.arpa
12.79.in-addr.arpa
13.79.in-addr.arpa
14.79.in-addr.arpa
15.79.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001111.00000000.00000000.0000000079.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01001111.00000000.00000000.0000000079.0.0.0
Broadcast01001111.01111111.11111111.1111111179.127.255.255
Split into smaller subnets/20

79.0.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
179.0.0.0/2079.0.0.1 to 79.0.15.25479.0.15.2554,094
279.0.16.0/2079.0.16.1 to 79.0.31.25479.0.31.2554,094
379.0.32.0/2079.0.32.1 to 79.0.47.25479.0.47.2554,094
479.0.48.0/2079.0.48.1 to 79.0.63.25479.0.63.2554,094
579.0.64.0/2079.0.64.1 to 79.0.79.25479.0.79.2554,094
679.0.80.0/2079.0.80.1 to 79.0.95.25479.0.95.2554,094
779.0.96.0/2079.0.96.1 to 79.0.111.25479.0.111.2554,094
879.0.112.0/2079.0.112.1 to 79.0.127.25479.0.127.2554,094
979.0.128.0/2079.0.128.1 to 79.0.143.25479.0.143.2554,094
1079.0.144.0/2079.0.144.1 to 79.0.159.25479.0.159.2554,094
1179.0.160.0/2079.0.160.1 to 79.0.175.25479.0.175.2554,094
1279.0.176.0/2079.0.176.1 to 79.0.191.25479.0.191.2554,094
1379.0.192.0/2079.0.192.1 to 79.0.207.25479.0.207.2554,094
1479.0.208.0/2079.0.208.1 to 79.0.223.25479.0.223.2554,094
1579.0.224.0/2079.0.224.1 to 79.0.239.25479.0.239.2554,094
1679.0.240.0/2079.0.240.1 to 79.0.255.25479.0.255.2554,094
1779.1.0.0/2079.1.0.1 to 79.1.15.25479.1.15.2554,094
1879.1.16.0/2079.1.16.1 to 79.1.31.25479.1.31.2554,094
1979.1.32.0/2079.1.32.1 to 79.1.47.25479.1.47.2554,094
2079.1.48.0/2079.1.48.1 to 79.1.63.25479.1.63.2554,094
2179.1.64.0/2079.1.64.1 to 79.1.79.25479.1.79.2554,094
2279.1.80.0/2079.1.80.1 to 79.1.95.25479.1.95.2554,094
2379.1.96.0/2079.1.96.1 to 79.1.111.25479.1.111.2554,094
2479.1.112.0/2079.1.112.1 to 79.1.127.25479.1.127.2554,094
2579.1.128.0/2079.1.128.1 to 79.1.143.25479.1.143.2554,094
2679.1.144.0/2079.1.144.1 to 79.1.159.25479.1.159.2554,094
2779.1.160.0/2079.1.160.1 to 79.1.175.25479.1.175.2554,094
2879.1.176.0/2079.1.176.1 to 79.1.191.25479.1.191.2554,094
2979.1.192.0/2079.1.192.1 to 79.1.207.25479.1.207.2554,094
3079.1.208.0/2079.1.208.1 to 79.1.223.25479.1.223.2554,094
3179.1.224.0/2079.1.224.1 to 79.1.239.25479.1.239.2554,094
3279.1.240.0/2079.1.240.1 to 79.1.255.25479.1.255.2554,094
3379.2.0.0/2079.2.0.1 to 79.2.15.25479.2.15.2554,094
3479.2.16.0/2079.2.16.1 to 79.2.31.25479.2.31.2554,094
3579.2.32.0/2079.2.32.1 to 79.2.47.25479.2.47.2554,094
3679.2.48.0/2079.2.48.1 to 79.2.63.25479.2.63.2554,094
3779.2.64.0/2079.2.64.1 to 79.2.79.25479.2.79.2554,094
3879.2.80.0/2079.2.80.1 to 79.2.95.25479.2.95.2554,094
3979.2.96.0/2079.2.96.1 to 79.2.111.25479.2.111.2554,094
4079.2.112.0/2079.2.112.1 to 79.2.127.25479.2.127.2554,094
4179.2.128.0/2079.2.128.1 to 79.2.143.25479.2.143.2554,094
4279.2.144.0/2079.2.144.1 to 79.2.159.25479.2.159.2554,094
4379.2.160.0/2079.2.160.1 to 79.2.175.25479.2.175.2554,094
4479.2.176.0/2079.2.176.1 to 79.2.191.25479.2.191.2554,094
4579.2.192.0/2079.2.192.1 to 79.2.207.25479.2.207.2554,094
4679.2.208.0/2079.2.208.1 to 79.2.223.25479.2.223.2554,094
4779.2.224.0/2079.2.224.1 to 79.2.239.25479.2.239.2554,094
4879.2.240.0/2079.2.240.1 to 79.2.255.25479.2.255.2554,094
4979.3.0.0/2079.3.0.1 to 79.3.15.25479.3.15.2554,094
5079.3.16.0/2079.3.16.1 to 79.3.31.25479.3.31.2554,094
5179.3.32.0/2079.3.32.1 to 79.3.47.25479.3.47.2554,094
5279.3.48.0/2079.3.48.1 to 79.3.63.25479.3.63.2554,094
5379.3.64.0/2079.3.64.1 to 79.3.79.25479.3.79.2554,094
5479.3.80.0/2079.3.80.1 to 79.3.95.25479.3.95.2554,094
5579.3.96.0/2079.3.96.1 to 79.3.111.25479.3.111.2554,094
5679.3.112.0/2079.3.112.1 to 79.3.127.25479.3.127.2554,094
5779.3.128.0/2079.3.128.1 to 79.3.143.25479.3.143.2554,094
5879.3.144.0/2079.3.144.1 to 79.3.159.25479.3.159.2554,094
5979.3.160.0/2079.3.160.1 to 79.3.175.25479.3.175.2554,094
6079.3.176.0/2079.3.176.1 to 79.3.191.25479.3.191.2554,094
6179.3.192.0/2079.3.192.1 to 79.3.207.25479.3.207.2554,094
6279.3.208.0/2079.3.208.1 to 79.3.223.25479.3.223.2554,094
6379.3.224.0/2079.3.224.1 to 79.3.239.25479.3.239.2554,094
6479.3.240.0/2079.3.240.1 to 79.3.255.25479.3.255.2554,094
6579.4.0.0/2079.4.0.1 to 79.4.15.25479.4.15.2554,094
6679.4.16.0/2079.4.16.1 to 79.4.31.25479.4.31.2554,094
6779.4.32.0/2079.4.32.1 to 79.4.47.25479.4.47.2554,094
6879.4.48.0/2079.4.48.1 to 79.4.63.25479.4.63.2554,094
6979.4.64.0/2079.4.64.1 to 79.4.79.25479.4.79.2554,094
7079.4.80.0/2079.4.80.1 to 79.4.95.25479.4.95.2554,094
7179.4.96.0/2079.4.96.1 to 79.4.111.25479.4.111.2554,094
7279.4.112.0/2079.4.112.1 to 79.4.127.25479.4.127.2554,094
7379.4.128.0/2079.4.128.1 to 79.4.143.25479.4.143.2554,094
7479.4.144.0/2079.4.144.1 to 79.4.159.25479.4.159.2554,094
7579.4.160.0/2079.4.160.1 to 79.4.175.25479.4.175.2554,094
7679.4.176.0/2079.4.176.1 to 79.4.191.25479.4.191.2554,094
7779.4.192.0/2079.4.192.1 to 79.4.207.25479.4.207.2554,094
7879.4.208.0/2079.4.208.1 to 79.4.223.25479.4.223.2554,094
7979.4.224.0/2079.4.224.1 to 79.4.239.25479.4.239.2554,094
8079.4.240.0/2079.4.240.1 to 79.4.255.25479.4.255.2554,094
8179.5.0.0/2079.5.0.1 to 79.5.15.25479.5.15.2554,094
8279.5.16.0/2079.5.16.1 to 79.5.31.25479.5.31.2554,094
8379.5.32.0/2079.5.32.1 to 79.5.47.25479.5.47.2554,094
8479.5.48.0/2079.5.48.1 to 79.5.63.25479.5.63.2554,094
8579.5.64.0/2079.5.64.1 to 79.5.79.25479.5.79.2554,094
8679.5.80.0/2079.5.80.1 to 79.5.95.25479.5.95.2554,094
8779.5.96.0/2079.5.96.1 to 79.5.111.25479.5.111.2554,094
8879.5.112.0/2079.5.112.1 to 79.5.127.25479.5.127.2554,094
8979.5.128.0/2079.5.128.1 to 79.5.143.25479.5.143.2554,094
9079.5.144.0/2079.5.144.1 to 79.5.159.25479.5.159.2554,094
9179.5.160.0/2079.5.160.1 to 79.5.175.25479.5.175.2554,094
9279.5.176.0/2079.5.176.1 to 79.5.191.25479.5.191.2554,094
9379.5.192.0/2079.5.192.1 to 79.5.207.25479.5.207.2554,094
9479.5.208.0/2079.5.208.1 to 79.5.223.25479.5.223.2554,094
9579.5.224.0/2079.5.224.1 to 79.5.239.25479.5.239.2554,094
9679.5.240.0/2079.5.240.1 to 79.5.255.25479.5.255.2554,094
9779.6.0.0/2079.6.0.1 to 79.6.15.25479.6.15.2554,094
9879.6.16.0/2079.6.16.1 to 79.6.31.25479.6.31.2554,094
9979.6.32.0/2079.6.32.1 to 79.6.47.25479.6.47.2554,094
10079.6.48.0/2079.6.48.1 to 79.6.63.25479.6.63.2554,094
10179.6.64.0/2079.6.64.1 to 79.6.79.25479.6.79.2554,094
10279.6.80.0/2079.6.80.1 to 79.6.95.25479.6.95.2554,094
10379.6.96.0/2079.6.96.1 to 79.6.111.25479.6.111.2554,094
10479.6.112.0/2079.6.112.1 to 79.6.127.25479.6.127.2554,094
10579.6.128.0/2079.6.128.1 to 79.6.143.25479.6.143.2554,094
10679.6.144.0/2079.6.144.1 to 79.6.159.25479.6.159.2554,094
10779.6.160.0/2079.6.160.1 to 79.6.175.25479.6.175.2554,094
10879.6.176.0/2079.6.176.1 to 79.6.191.25479.6.191.2554,094
10979.6.192.0/2079.6.192.1 to 79.6.207.25479.6.207.2554,094
11079.6.208.0/2079.6.208.1 to 79.6.223.25479.6.223.2554,094
11179.6.224.0/2079.6.224.1 to 79.6.239.25479.6.239.2554,094
11279.6.240.0/2079.6.240.1 to 79.6.255.25479.6.255.2554,094
11379.7.0.0/2079.7.0.1 to 79.7.15.25479.7.15.2554,094
11479.7.16.0/2079.7.16.1 to 79.7.31.25479.7.31.2554,094
11579.7.32.0/2079.7.32.1 to 79.7.47.25479.7.47.2554,094
11679.7.48.0/2079.7.48.1 to 79.7.63.25479.7.63.2554,094
11779.7.64.0/2079.7.64.1 to 79.7.79.25479.7.79.2554,094
11879.7.80.0/2079.7.80.1 to 79.7.95.25479.7.95.2554,094
11979.7.96.0/2079.7.96.1 to 79.7.111.25479.7.111.2554,094
12079.7.112.0/2079.7.112.1 to 79.7.127.25479.7.127.2554,094
12179.7.128.0/2079.7.128.1 to 79.7.143.25479.7.143.2554,094
12279.7.144.0/2079.7.144.1 to 79.7.159.25479.7.159.2554,094
12379.7.160.0/2079.7.160.1 to 79.7.175.25479.7.175.2554,094
12479.7.176.0/2079.7.176.1 to 79.7.191.25479.7.191.2554,094
12579.7.192.0/2079.7.192.1 to 79.7.207.25479.7.207.2554,094
12679.7.208.0/2079.7.208.1 to 79.7.223.25479.7.223.2554,094
12779.7.224.0/2079.7.224.1 to 79.7.239.25479.7.239.2554,094
12879.7.240.0/2079.7.240.1 to 79.7.255.25479.7.255.2554,094
12979.8.0.0/2079.8.0.1 to 79.8.15.25479.8.15.2554,094
13079.8.16.0/2079.8.16.1 to 79.8.31.25479.8.31.2554,094
13179.8.32.0/2079.8.32.1 to 79.8.47.25479.8.47.2554,094
13279.8.48.0/2079.8.48.1 to 79.8.63.25479.8.63.2554,094
13379.8.64.0/2079.8.64.1 to 79.8.79.25479.8.79.2554,094
13479.8.80.0/2079.8.80.1 to 79.8.95.25479.8.95.2554,094
13579.8.96.0/2079.8.96.1 to 79.8.111.25479.8.111.2554,094
13679.8.112.0/2079.8.112.1 to 79.8.127.25479.8.127.2554,094
13779.8.128.0/2079.8.128.1 to 79.8.143.25479.8.143.2554,094
13879.8.144.0/2079.8.144.1 to 79.8.159.25479.8.159.2554,094
13979.8.160.0/2079.8.160.1 to 79.8.175.25479.8.175.2554,094
14079.8.176.0/2079.8.176.1 to 79.8.191.25479.8.191.2554,094
14179.8.192.0/2079.8.192.1 to 79.8.207.25479.8.207.2554,094
14279.8.208.0/2079.8.208.1 to 79.8.223.25479.8.223.2554,094
14379.8.224.0/2079.8.224.1 to 79.8.239.25479.8.239.2554,094
14479.8.240.0/2079.8.240.1 to 79.8.255.25479.8.255.2554,094
14579.9.0.0/2079.9.0.1 to 79.9.15.25479.9.15.2554,094
14679.9.16.0/2079.9.16.1 to 79.9.31.25479.9.31.2554,094
14779.9.32.0/2079.9.32.1 to 79.9.47.25479.9.47.2554,094
14879.9.48.0/2079.9.48.1 to 79.9.63.25479.9.63.2554,094
14979.9.64.0/2079.9.64.1 to 79.9.79.25479.9.79.2554,094
15079.9.80.0/2079.9.80.1 to 79.9.95.25479.9.95.2554,094
15179.9.96.0/2079.9.96.1 to 79.9.111.25479.9.111.2554,094
15279.9.112.0/2079.9.112.1 to 79.9.127.25479.9.127.2554,094
15379.9.128.0/2079.9.128.1 to 79.9.143.25479.9.143.2554,094
15479.9.144.0/2079.9.144.1 to 79.9.159.25479.9.159.2554,094
15579.9.160.0/2079.9.160.1 to 79.9.175.25479.9.175.2554,094
15679.9.176.0/2079.9.176.1 to 79.9.191.25479.9.191.2554,094
15779.9.192.0/2079.9.192.1 to 79.9.207.25479.9.207.2554,094
15879.9.208.0/2079.9.208.1 to 79.9.223.25479.9.223.2554,094
15979.9.224.0/2079.9.224.1 to 79.9.239.25479.9.239.2554,094
16079.9.240.0/2079.9.240.1 to 79.9.255.25479.9.255.2554,094
16179.10.0.0/2079.10.0.1 to 79.10.15.25479.10.15.2554,094
16279.10.16.0/2079.10.16.1 to 79.10.31.25479.10.31.2554,094
16379.10.32.0/2079.10.32.1 to 79.10.47.25479.10.47.2554,094
16479.10.48.0/2079.10.48.1 to 79.10.63.25479.10.63.2554,094
16579.10.64.0/2079.10.64.1 to 79.10.79.25479.10.79.2554,094
16679.10.80.0/2079.10.80.1 to 79.10.95.25479.10.95.2554,094
16779.10.96.0/2079.10.96.1 to 79.10.111.25479.10.111.2554,094
16879.10.112.0/2079.10.112.1 to 79.10.127.25479.10.127.2554,094
16979.10.128.0/2079.10.128.1 to 79.10.143.25479.10.143.2554,094
17079.10.144.0/2079.10.144.1 to 79.10.159.25479.10.159.2554,094
17179.10.160.0/2079.10.160.1 to 79.10.175.25479.10.175.2554,094
17279.10.176.0/2079.10.176.1 to 79.10.191.25479.10.191.2554,094
17379.10.192.0/2079.10.192.1 to 79.10.207.25479.10.207.2554,094
17479.10.208.0/2079.10.208.1 to 79.10.223.25479.10.223.2554,094
17579.10.224.0/2079.10.224.1 to 79.10.239.25479.10.239.2554,094
17679.10.240.0/2079.10.240.1 to 79.10.255.25479.10.255.2554,094
17779.11.0.0/2079.11.0.1 to 79.11.15.25479.11.15.2554,094
17879.11.16.0/2079.11.16.1 to 79.11.31.25479.11.31.2554,094
17979.11.32.0/2079.11.32.1 to 79.11.47.25479.11.47.2554,094
18079.11.48.0/2079.11.48.1 to 79.11.63.25479.11.63.2554,094
18179.11.64.0/2079.11.64.1 to 79.11.79.25479.11.79.2554,094
18279.11.80.0/2079.11.80.1 to 79.11.95.25479.11.95.2554,094
18379.11.96.0/2079.11.96.1 to 79.11.111.25479.11.111.2554,094
18479.11.112.0/2079.11.112.1 to 79.11.127.25479.11.127.2554,094
18579.11.128.0/2079.11.128.1 to 79.11.143.25479.11.143.2554,094
18679.11.144.0/2079.11.144.1 to 79.11.159.25479.11.159.2554,094
18779.11.160.0/2079.11.160.1 to 79.11.175.25479.11.175.2554,094
18879.11.176.0/2079.11.176.1 to 79.11.191.25479.11.191.2554,094
18979.11.192.0/2079.11.192.1 to 79.11.207.25479.11.207.2554,094
19079.11.208.0/2079.11.208.1 to 79.11.223.25479.11.223.2554,094
19179.11.224.0/2079.11.224.1 to 79.11.239.25479.11.239.2554,094
19279.11.240.0/2079.11.240.1 to 79.11.255.25479.11.255.2554,094
19379.12.0.0/2079.12.0.1 to 79.12.15.25479.12.15.2554,094
19479.12.16.0/2079.12.16.1 to 79.12.31.25479.12.31.2554,094
19579.12.32.0/2079.12.32.1 to 79.12.47.25479.12.47.2554,094
19679.12.48.0/2079.12.48.1 to 79.12.63.25479.12.63.2554,094
19779.12.64.0/2079.12.64.1 to 79.12.79.25479.12.79.2554,094
19879.12.80.0/2079.12.80.1 to 79.12.95.25479.12.95.2554,094
19979.12.96.0/2079.12.96.1 to 79.12.111.25479.12.111.2554,094
20079.12.112.0/2079.12.112.1 to 79.12.127.25479.12.127.2554,094
20179.12.128.0/2079.12.128.1 to 79.12.143.25479.12.143.2554,094
20279.12.144.0/2079.12.144.1 to 79.12.159.25479.12.159.2554,094
20379.12.160.0/2079.12.160.1 to 79.12.175.25479.12.175.2554,094
20479.12.176.0/2079.12.176.1 to 79.12.191.25479.12.191.2554,094
20579.12.192.0/2079.12.192.1 to 79.12.207.25479.12.207.2554,094
20679.12.208.0/2079.12.208.1 to 79.12.223.25479.12.223.2554,094
20779.12.224.0/2079.12.224.1 to 79.12.239.25479.12.239.2554,094
20879.12.240.0/2079.12.240.1 to 79.12.255.25479.12.255.2554,094
20979.13.0.0/2079.13.0.1 to 79.13.15.25479.13.15.2554,094
21079.13.16.0/2079.13.16.1 to 79.13.31.25479.13.31.2554,094
21179.13.32.0/2079.13.32.1 to 79.13.47.25479.13.47.2554,094
21279.13.48.0/2079.13.48.1 to 79.13.63.25479.13.63.2554,094
21379.13.64.0/2079.13.64.1 to 79.13.79.25479.13.79.2554,094
21479.13.80.0/2079.13.80.1 to 79.13.95.25479.13.95.2554,094
21579.13.96.0/2079.13.96.1 to 79.13.111.25479.13.111.2554,094
21679.13.112.0/2079.13.112.1 to 79.13.127.25479.13.127.2554,094
21779.13.128.0/2079.13.128.1 to 79.13.143.25479.13.143.2554,094
21879.13.144.0/2079.13.144.1 to 79.13.159.25479.13.159.2554,094
21979.13.160.0/2079.13.160.1 to 79.13.175.25479.13.175.2554,094
22079.13.176.0/2079.13.176.1 to 79.13.191.25479.13.191.2554,094
22179.13.192.0/2079.13.192.1 to 79.13.207.25479.13.207.2554,094
22279.13.208.0/2079.13.208.1 to 79.13.223.25479.13.223.2554,094
22379.13.224.0/2079.13.224.1 to 79.13.239.25479.13.239.2554,094
22479.13.240.0/2079.13.240.1 to 79.13.255.25479.13.255.2554,094
22579.14.0.0/2079.14.0.1 to 79.14.15.25479.14.15.2554,094
22679.14.16.0/2079.14.16.1 to 79.14.31.25479.14.31.2554,094
22779.14.32.0/2079.14.32.1 to 79.14.47.25479.14.47.2554,094
22879.14.48.0/2079.14.48.1 to 79.14.63.25479.14.63.2554,094
22979.14.64.0/2079.14.64.1 to 79.14.79.25479.14.79.2554,094
23079.14.80.0/2079.14.80.1 to 79.14.95.25479.14.95.2554,094
23179.14.96.0/2079.14.96.1 to 79.14.111.25479.14.111.2554,094
23279.14.112.0/2079.14.112.1 to 79.14.127.25479.14.127.2554,094
23379.14.128.0/2079.14.128.1 to 79.14.143.25479.14.143.2554,094
23479.14.144.0/2079.14.144.1 to 79.14.159.25479.14.159.2554,094
23579.14.160.0/2079.14.160.1 to 79.14.175.25479.14.175.2554,094
23679.14.176.0/2079.14.176.1 to 79.14.191.25479.14.191.2554,094
23779.14.192.0/2079.14.192.1 to 79.14.207.25479.14.207.2554,094
23879.14.208.0/2079.14.208.1 to 79.14.223.25479.14.223.2554,094
23979.14.224.0/2079.14.224.1 to 79.14.239.25479.14.239.2554,094
24079.14.240.0/2079.14.240.1 to 79.14.255.25479.14.255.2554,094
24179.15.0.0/2079.15.0.1 to 79.15.15.25479.15.15.2554,094
24279.15.16.0/2079.15.16.1 to 79.15.31.25479.15.31.2554,094
24379.15.32.0/2079.15.32.1 to 79.15.47.25479.15.47.2554,094
24479.15.48.0/2079.15.48.1 to 79.15.63.25479.15.63.2554,094
24579.15.64.0/2079.15.64.1 to 79.15.79.25479.15.79.2554,094
24679.15.80.0/2079.15.80.1 to 79.15.95.25479.15.95.2554,094
24779.15.96.0/2079.15.96.1 to 79.15.111.25479.15.111.2554,094
24879.15.112.0/2079.15.112.1 to 79.15.127.25479.15.127.2554,094
24979.15.128.0/2079.15.128.1 to 79.15.143.25479.15.143.2554,094
25079.15.144.0/2079.15.144.1 to 79.15.159.25479.15.159.2554,094
25179.15.160.0/2079.15.160.1 to 79.15.175.25479.15.175.2554,094
25279.15.176.0/2079.15.176.1 to 79.15.191.25479.15.191.2554,094
25379.15.192.0/2079.15.192.1 to 79.15.207.25479.15.207.2554,094
25479.15.208.0/2079.15.208.1 to 79.15.223.25479.15.223.2554,094
25579.15.224.0/2079.15.224.1 to 79.15.239.25479.15.239.2554,094
25679.15.240.0/2079.15.240.1 to 79.15.255.25479.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses